List Sources
curl --request GET \
--url https://api.hightouch.com/api/v1/sources \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hightouch.com/api/v1/sources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hightouch.com/api/v1/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hightouch.com/api/v1/sources",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hightouch.com/api/v1/sources"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hightouch.com/api/v1/sources")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hightouch.com/api/v1/sources")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 1,
"name": "testSource1",
"slug": "testSource1",
"workspaceId": 1,
"createdAt": "2022-02-16T21:37:58.510Z",
"updatedAt": "2022-02-16T21:37:58.510Z",
"type": "snowflake",
"configuration": {
"hostname": "foo",
"region": "bar"
}
},
{
"id": 2,
"name": "testSource2",
"slug": "testSource2",
"workspaceId": 1,
"createdAt": "2022-02-16T21:37:58.510Z",
"updatedAt": "2022-02-16T21:37:58.510Z",
"type": "googlesheet",
"configuration": {
"hostname": "foo",
"region": "bar"
}
}
],
"hasMore": false
}API Reference
List Sources
List all the sources in the current workspace
GET
/
sources
List Sources
curl --request GET \
--url https://api.hightouch.com/api/v1/sources \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hightouch.com/api/v1/sources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hightouch.com/api/v1/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hightouch.com/api/v1/sources",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hightouch.com/api/v1/sources"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hightouch.com/api/v1/sources")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hightouch.com/api/v1/sources")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 1,
"name": "testSource1",
"slug": "testSource1",
"workspaceId": 1,
"createdAt": "2022-02-16T21:37:58.510Z",
"updatedAt": "2022-02-16T21:37:58.510Z",
"type": "snowflake",
"configuration": {
"hostname": "foo",
"region": "bar"
}
},
{
"id": 2,
"name": "testSource2",
"slug": "testSource2",
"workspaceId": 1,
"createdAt": "2022-02-16T21:37:58.510Z",
"updatedAt": "2022-02-16T21:37:58.510Z",
"type": "googlesheet",
"configuration": {
"hostname": "foo",
"region": "bar"
}
}
],
"hasMore": false
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
filter based on name
filter based on slug
set the offset on results (for pagination)
limit the number of objects returned (default is 100)
specify the order
Available options:
id, name, slug, createdAt, updatedAt Response
Ok
Show child attributes
Show child attributes
Was this page helpful?